-- The default rotations generator for DRUIDS.
local druidRotationsGenerator = function ()
	local rotation = {
		["defaultRotation/druid/restoration_multi"] = {
			["version"] = 3,
			["bindindex"] = 0,
			["SortedActions"] = {
				"defaultRotation/druid/renewal", -- [1]
				"defaultRotation/druid/moonkin_form", -- [2]
				"defaultRotation/druid/cat_form", -- [3]
				"defaultRotation/druid/bear_form", -- [4]
				"defaultRotation/druid/ironfur", -- [5]
				"defaultRotation/druid/frenzied_regeneration", -- [6]
				"defaultRotation/druid/wild_charge", -- [7]
				"defaultRotation/druid/moonfire", -- [8]
				"defaultRotation/druid/sunfire", -- [9]
				"defaultRotation/druid/starsurge", -- [10]
				"defaultRotation/druid/lunar_strike", -- [11]
				"defaultRotation/druid/rake", -- [12]
				"defaultRotation/druid/rip", -- [13]
				"defaultRotation/druid/ferocious_bite", -- [14]
				"defaultRotation/druid/swipe", -- [15]
				"defaultRotation/druid/thrash", -- [16]
				"defaultRotation/druid/mangle", -- [17]
			},
			["specID"] = 4,
			["ActionList"] = {
				["defaultRotation/druid/lunar_strike"] = {
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "197625",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197628",
				},
				["defaultRotation/druid/mangle"] = {
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "5",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["v_spellname"] = "192081",
					["v_gspellcost"] = "45",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["v_gspellcosttype"] = "1",
				},
				["defaultRotation/druid/moonkin_form"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "197625",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197625",
				},
				["defaultRotation/druid/sunfire"] = {
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_t_needsdebuff"] = "_164815^3.6",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/thrash"] = {
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "4",
					["b_p_havebuff"] = true,
					["b_notinspellbook"] = true,
				},
				["defaultRotation/druid/swipe"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "106785",
					["v_gspellcost"] = "45",
					["b_p_havebuff"] = true,
					["v_gunitpower"] = "1",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/rake"] = {
					["v_t_needsdebuff"] = "_155722^4.5",
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "35",
					["v_p_havebuff"] = "768",
					["b_gspellcost"] = true,
					["b_t_needsdebuff"] = true,
					["b_p_havebuff"] = true,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["b_gunitpower"] = true,
					["v_gunitpower"] = "1",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/rip"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "30",
					["v_p_havebuff"] = "768",
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_t_needsdebuff"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_unitpower"] = true,
					["v_spellname"] = "1079",
					["v_gspellcosttype"] = "3",
					["b_p_havebuff"] = true,
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/moonfire"] = {
					["v_p_needbuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_p_needbuff"] = true,
					["v_t_needsdebuff"] = "_164812^4.8",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/starsurge"] = {
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "197625",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197626",
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["v_p_needbuff"] = "22842",
					["b_p_needbuff"] = true,
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "1",
					["v_p_hp"] = "<70%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22842",
					["v_gspellcost"] = "10",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/bear_form"] = {
					["v_p_needbuff"] = "5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5487",
					["v_p_knowspell"] = "197491",
					["b_p_knowspell"] = true,
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/cat_form"] = {
					["v_p_needbuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "768",
					["v_p_knowspell"] = "197490",
					["b_p_knowspell"] = true,
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["b_p_havebuff"] = true,
					["v_gspellcost"] = "25",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "22568",
					["v_gspellcosttype"] = "3",
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^7.2",
				},
				["defaultRotation/druid/wild_charge"] = {
					["b_spellInRange"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102401",
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/renewal"] = {
					["b_p_hp"] = true,
					["v_p_hp"] = "<50%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
				},
			},
			["isMultiTarget"] = true,
		},
		["defaultRotation/druid/restoration"] = {
			["SortedActions"] = {
				"defaultRotation/druid/renewal", -- [1]
				"defaultRotation/druid/moonkin_form", -- [2]
				"defaultRotation/druid/cat_form", -- [3]
				"defaultRotation/druid/bear_form", -- [4]
				"defaultRotation/druid/ironfur", -- [5]
				"defaultRotation/druid/frenzied_regeneration", -- [6]
				"defaultRotation/druid/wild_charge", -- [7]
				"defaultRotation/druid/moonfire", -- [8]
				"defaultRotation/druid/sunfire", -- [9]
				"defaultRotation/druid/starsurge", -- [10]
				"defaultRotation/druid/lunar_strike", -- [11]
				"defaultRotation/druid/solar_wrath", -- [12]
				"defaultRotation/druid/rake", -- [13]
				"defaultRotation/druid/rip", -- [14]
				"defaultRotation/druid/ferocious_bite", -- [15]
				"defaultRotation/druid/shred", -- [16]
				"defaultRotation/druid/mangle", -- [17]
				"defaultRotation/druid/thrash", -- [18]
			},
			["specID"] = 4,
			["ActionList"] = {
				["defaultRotation/druid/lunar_strike"] = {
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "197625&164547#3",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197628",
				},
				["defaultRotation/druid/mangle"] = {
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "5",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/shred"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5221",
					["v_gspellcosttype"] = "3",
					["v_gspellcost"] = "40",
					["v_gunitpower"] = "1",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["v_gspellcost"] = "45",
					["b_p_havebuff"] = true,
					["v_spellname"] = "192081",
					["v_gspellcosttype"] = "1",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/moonkin_form"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "197625",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197625",
				},
				["defaultRotation/druid/renewal"] = {
					["b_p_hp"] = true,
					["v_p_hp"] = "<50%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
				},
				["defaultRotation/druid/solar_wrath"] = {
					["v_p_needbuff"] = "768||5487",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5176",
				},
				["defaultRotation/druid/thrash"] = {
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "4",
					["v_durationstartedtime"] = 0,
					["b_notinspellbook"] = true,
				},
				["defaultRotation/druid/rake"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "35",
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["b_t_needsdebuff"] = true,
					["b_p_havebuff"] = true,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["b_gunitpower"] = true,
					["v_gunitpower"] = "1",
					["v_t_needsdebuff"] = "_155722^4.5",
				},
				["defaultRotation/druid/rip"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_havebuff"] = "768",
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_t_needsdebuff"] = true,
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1079",
					["v_gspellcost"] = "30",
					["b_p_havebuff"] = true,
					["v_p_unitpower"] = "=5",
					["v_gspellcosttype"] = "3",
				},
				["defaultRotation/druid/moonfire"] = {
					["v_p_needbuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["b_p_needbuff"] = true,
					["v_t_needsdebuff"] = "_164812^4.8",
				},
				["defaultRotation/druid/starsurge"] = {
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "197625",
					["b_p_havebuff"] = true,
					["v_spellname"] = "197626",
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["v_p_needbuff"] = "22842",
					["b_p_needbuff"] = true,
					["b_gspellcost"] = true,
					["v_gspellcost"] = "10",
					["v_p_hp"] = "<70%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22842",
					["v_gspellcosttype"] = "1",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/bear_form"] = {
					["v_p_needbuff"] = "5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5487",
					["b_p_needbuff"] = true,
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "197491",
				},
				["defaultRotation/druid/wild_charge"] = {
					["b_spellInRange"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102401",
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^3.6",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["v_p_unitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^7.2",
				},
				["defaultRotation/druid/cat_form"] = {
					["v_p_needbuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "768",
					["b_p_needbuff"] = true,
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "197490",
				},
			},
			["bindindex"] = 0,
			["version"] = 7,
		},
		["defaultRotation/druid/guardian_multi"] = {
			["SortedActions"] = {
				"defaultRotation/druid/skull_bash", -- [1]
				"defaultRotation/druid/lunar_beam", -- [2]
				"defaultRotation/druid/ironfur", -- [3]
				"defaultRotation/druid/mark_of_ursol", -- [4]
				"defaultRotation/druid/frenzied_regeneration", -- [5]
				"defaultRotation/druid/wild_charge", -- [6]
				"defaultRotation/druid/rage_of_the_sleeper", -- [7]
				"defaultRotation/druid/bristling_fur", -- [8]
				"defaultRotation/druid/maul", -- [9]
				"defaultRotation/druid/moonfire", -- [10]
				"defaultRotation/druid/thrash", -- [11]
				"defaultRotation/druid/mangle", -- [12]
				"defaultRotation/druid/pulverize", -- [13]
				"defaultRotation/druid/swipe", -- [14]
				"defaultRotation/druid/moonfire_galactic_guardian", -- [15]
				"defaultRotation/druid/moonfire_balance", -- [16]
				"defaultRotation/druid/sunfire", -- [17]
				"defaultRotation/druid/starsurge", -- [18]
				"defaultRotation/druid/lunar_strike", -- [19]
				"defaultRotation/druid/rake", -- [20]
				"defaultRotation/druid/rip", -- [21]
				"defaultRotation/druid/ferocious_bite", -- [22]
				"defaultRotation/druid/swipe_feral", -- [23]
			},
			["version"] = 2,
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/druid/lunar_strike"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197628",
				},
				["defaultRotation/druid/mangle"] = {
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["v_gspellcosttype"] = "1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "192081",
					["v_gspellcost"] = "45",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/rage_of_the_sleeper"] = {
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "200851",
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^3.6",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197630",
					["b_p_needbuff"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "768||5487",
				},
				["defaultRotation/druid/thrash"] = {
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "4",
					["v_durationstartedtime"] = 0,
					["b_notinspellbook"] = true,
				},
				["defaultRotation/druid/swipe"] = {
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "5487",
					["v_spellname"] = "213764",
				},
				["defaultRotation/druid/rake"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "35",
					["v_p_havebuff"] = "768",
					["b_p_havebuff"] = true,
					["b_t_needsdebuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_gunitpower"] = "1",
					["v_t_needsdebuff"] = "_155722^4.5",
				},
				["defaultRotation/druid/skull_bash"] = {
					["v_durationstartedtime"] = 0,
					["b_t_interrupt"] = true,
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768||5487",
					["v_spellname"] = "106839",
				},
				["defaultRotation/druid/rip"] = {
					["b_gspellcost"] = true,
					["v_t_needsdebuff"] = "_1079^7.2",
					["v_p_havebuff"] = "768",
					["v_gspellcosttype"] = "3",
					["b_t_needsdebuff"] = true,
					["b_p_havebuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "1079",
					["v_gspellcost"] = "30",
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/pulverize"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "80313",
					["b_p_havebuff"] = true,
					["b_t_hasdebuff"] = true,
					["v_p_havebuff"] = "5487",
					["v_t_hasdebuff"] = "_192090#2",
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["b_p_unitpower"] = true,
					["v_gspellcost"] = "25",
					["b_p_havebuff"] = true,
					["v_spellname"] = "22568",
					["v_gspellcosttype"] = "3",
					["v_p_unitpowertype"] = "4",
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^7.2",
				},
				["defaultRotation/druid/moonfire"] = {
					["b_gunitpower"] = true,
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["v_gunitpowertype"] = "1",
					["b_p_havebuff"] = true,
					["v_gunitpower"] = "8",
					["b_hasproc"] = true,
				},
				["defaultRotation/druid/moonfire_galactic_guardian"] = {
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_p_needbuff"] = true,
					["b_hasproc"] = true,
				},
				["defaultRotation/druid/starsurge"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197626",
				},
				["defaultRotation/druid/maul"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = ">90",
					["v_gspellcost"] = "20",
					["v_p_unitpowertype"] = "1",
					["v_spellname"] = "6807",
					["v_gspellcosttype"] = "1",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/wild_charge"] = {
					["b_spellInRange"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102401",
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["v_p_needbuff"] = "22842",
					["b_p_needbuff"] = true,
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "1",
					["v_p_hp"] = "<70%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22842",
					["v_gspellcost"] = "10",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/mark_of_ursol"] = {
					["v_p_needbuff"] = "192083",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "192083",
					["b_p_needbuff"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/moonfire_balance"] = {
					["v_t_needsdebuff"] = "_164812^4.8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_p_needbuff"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "768||5487",
				},
				["defaultRotation/druid/bristling_fur"] = {
					["v_p_needbuff"] = "61336",
					["b_p_needbuff"] = true,
					["b_p_unitpower"] = true,
					["b_p_havebuff"] = true,
					["v_spellname"] = "155835",
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
					["v_p_unitpower"] = "<50",
					["v_p_unitpowertype"] = "1",
				},
				["defaultRotation/druid/lunar_beam"] = {
					["b_p_hp"] = true,
					["v_p_hp"] = "<70%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "204066",
				},
				["defaultRotation/druid/swipe_feral"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["v_gspellcosttype"] = "3",
					["b_gunitpower"] = true,
					["v_spellname"] = "106785",
					["v_gspellcost"] = "45",
					["b_notinspellbook"] = true,
					["v_gunitpower"] = "1",
					["v_durationstartedtime"] = 0,
				},
			},
			["specID"] = 3,
			["isMultiTarget"] = true,
		},
		["defaultRotation/druid/guardian"] = {
			["version"] = 6,
			["specID"] = 3,
			["ActionList"] = {
				["defaultRotation/druid/lunar_strike"] = {
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197628",
					["b_p_needbuff"] = true,
					["v_p_havebuff"] = "164547#3",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/mangle"] = {
					["b_gunitpower"] = true,
					["b_p_havebuff"] = true,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_gunitpower"] = "5",
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/shred"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["b_gunitpower"] = true,
					["v_spellname"] = "5221",
					["v_gspellcosttype"] = "3",
					["v_gspellcost"] = "40",
					["v_gunitpower"] = "1",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["b_p_unitpower"] = true,
					["v_gspellcost"] = "25",
					["b_p_havebuff"] = true,
					["v_spellname"] = "22568",
					["v_gspellcosttype"] = "3",
					["v_p_unitpowertype"] = "4",
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^7.2",
				},
				["defaultRotation/druid/rage_of_the_sleeper"] = {
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["v_spellname"] = "200851",
				},
				["defaultRotation/druid/lunar_beam"] = {
					["b_p_hp"] = true,
					["v_p_hp"] = "<70%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "204066",
				},
				["defaultRotation/druid/solar_wrath"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197629",
				},
				["defaultRotation/druid/thrash"] = {
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["v_gunitpower"] = "4",
					["v_p_havebuff"] = "5487",
					["b_gunitpower"] = true,
					["b_notinspellbook"] = true,
				},
				["defaultRotation/druid/swipe"] = {
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "5487",
					["v_spellname"] = "213764",
				},
				["defaultRotation/druid/rake"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "35",
					["v_p_havebuff"] = "768",
					["b_p_havebuff"] = true,
					["b_t_needsdebuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_gunitpower"] = "1",
					["v_t_needsdebuff"] = "_155722^4.5",
				},
				["defaultRotation/druid/skull_bash"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "106839",
					["b_t_interrupt"] = true,
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/rip"] = {
					["b_gspellcost"] = true,
					["v_t_needsdebuff"] = "_1079^7.2",
					["v_p_havebuff"] = "768",
					["v_gspellcosttype"] = "3",
					["b_t_needsdebuff"] = true,
					["b_p_havebuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "1079",
					["v_gspellcost"] = "30",
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^3.6",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197630",
					["b_p_needbuff"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "768||5487",
				},
				["defaultRotation/druid/moonfire"] = {
					["v_t_needsdebuff"] = "_164812^4.8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["v_gspellcost"] = "45",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "192081",
					["v_gspellcosttype"] = "1",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/starsurge"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197626",
				},
				["defaultRotation/druid/maul"] = {
					["b_gspellcost"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_unitpower"] = ">90",
					["v_gspellcost"] = "20",
					["b_p_havebuff"] = true,
					["v_spellname"] = "6807",
					["v_gspellcosttype"] = "1",
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "5487",
					["v_p_unitpowertype"] = "1",
				},
				["defaultRotation/druid/pulverize"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "80313",
					["b_p_havebuff"] = true,
					["b_t_hasdebuff"] = true,
					["v_p_havebuff"] = "5487",
					["v_t_hasdebuff"] = "_192090#2",
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["v_p_needbuff"] = "22842",
					["b_p_needbuff"] = true,
					["b_gspellcost"] = true,
					["v_gspellcost"] = "10",
					["v_p_hp"] = "<70%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22842",
					["v_gspellcosttype"] = "1",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/mark_of_ursol"] = {
					["v_p_needbuff"] = "192083",
					["b_p_havebuff"] = true,
					["v_spellname"] = "192083",
					["b_p_needbuff"] = true,
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/moonfire_balance"] = {
					["v_t_needsdebuff"] = "_164812^4.8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_p_needbuff"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "768||5487",
				},
				["defaultRotation/druid/wild_charge"] = {
					["b_spellInRange"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102401",
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/moonfire_galactic_guardian"] = {
					["v_p_needbuff"] = "768",
					["b_p_needbuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "8921",
					["v_gunitpowertype"] = "1",
					["v_durationstartedtime"] = 0,
					["v_gunitpower"] = "8",
					["b_hasproc"] = true,
				},
				["defaultRotation/druid/bristling_fur"] = {
					["v_p_needbuff"] = "61336",
					["b_p_needbuff"] = true,
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "155835",
					["v_p_unitpower"] = "<50",
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "5487",
					["v_p_unitpowertype"] = "1",
				},
			},
			["SortedActions"] = {
				"defaultRotation/druid/skull_bash", -- [1]
				"defaultRotation/druid/lunar_beam", -- [2]
				"defaultRotation/druid/ironfur", -- [3]
				"defaultRotation/druid/mark_of_ursol", -- [4]
				"defaultRotation/druid/frenzied_regeneration", -- [5]
				"defaultRotation/druid/wild_charge", -- [6]
				"defaultRotation/druid/rage_of_the_sleeper", -- [7]
				"defaultRotation/druid/bristling_fur", -- [8]
				"defaultRotation/druid/maul", -- [9]
				"defaultRotation/druid/moonfire_galactic_guardian", -- [10]
				"defaultRotation/druid/mangle", -- [11]
				"defaultRotation/druid/thrash", -- [12]
				"defaultRotation/druid/pulverize", -- [13]
				"defaultRotation/druid/moonfire", -- [14]
				"defaultRotation/druid/swipe", -- [15]
				"defaultRotation/druid/moonfire_balance", -- [16]
				"defaultRotation/druid/sunfire", -- [17]
				"defaultRotation/druid/starsurge", -- [18]
				"defaultRotation/druid/lunar_strike", -- [19]
				"defaultRotation/druid/solar_wrath", -- [20]
				"defaultRotation/druid/rake", -- [21]
				"defaultRotation/druid/rip", -- [22]
				"defaultRotation/druid/ferocious_bite", -- [23]
				"defaultRotation/druid/shred", -- [24]
			},
			["bindindex"] = 0,
		},
		["defaultRotation/druid/balance_multi"] = {
			["SortedActions"] = {
				"defaultRotation/druid/solar_beam", -- [1]
				"defaultRotation/druid/blessing_of_the_ancients", -- [2]
				"defaultRotation/druid/renewal", -- [3]
				"defaultRotation/druid/incarnation_chosen_of_elune", -- [4]
				"defaultRotation/druid/celestial_alignment", -- [5]
				"defaultRotation/druid/fury_of_elune", -- [6]
				"defaultRotation/druid/astral_communion_fury_of_elune", -- [7]
				"defaultRotation/druid/astral_communion", -- [8]
				"defaultRotation/druid/new_moon_fury_of_elune", -- [9]
				"defaultRotation/druid/force_of_nature", -- [10]
				"defaultRotation/druid/warrior_of_elune", -- [11]
				"defaultRotation/druid/moonfire_fury_of_elune", -- [12]
				"defaultRotation/druid/moonfire", -- [13]
				"defaultRotation/druid/sunfire_fury_of_elune", -- [14]
				"defaultRotation/druid/sunfire", -- [15]
				"defaultRotation/druid/stellar_flare", -- [16]
				"defaultRotation/druid/starfall_fury_of_elune", -- [17]
				"defaultRotation/druid/starfall", -- [18]
				"defaultRotation/druid/new_moon_fury_of_elune_soon", -- [19]
				"defaultRotation/druid/new_moon_fury_of_elune_reload", -- [20]
				"defaultRotation/druid/new_moon", -- [21]
				"defaultRotation/druid/lunar_strike", -- [22]
				"defaultRotation/druid/ironfur", -- [23]
				"defaultRotation/druid/frenzied_regeneration", -- [24]
				"defaultRotation/druid/thrash", -- [25]
				"defaultRotation/druid/mangle", -- [26]
				"defaultRotation/druid/rake", -- [27]
				"defaultRotation/druid/rip", -- [28]
				"defaultRotation/druid/ferocious_bite", -- [29]
				"defaultRotation/druid/swipe", -- [30]
			},
			["bindindex"] = 0,
			["specID"] = 1,
			["ActionList"] = {
				["defaultRotation/druid/lunar_strike"] = {
					["v_p_needbuff"] = "5487||768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194153",
					["b_p_needbuff"] = true,
					["b_gunitpower"] = true,
					["v_gunitpower"] = "15",
					["v_gunitpowertype"] = "8",
				},
				["defaultRotation/druid/mangle"] = {
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "5",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/force_of_nature"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "205636",
				},
				["defaultRotation/druid/fury_of_elune"] = {
					["v_lastcasted"] = "202359",
					["v_otherchargesname"] = "202767",
					["b_t_hasdebuff"] = true,
					["b_p_needbuff"] = true,
					["b_othercharges"] = true,
					["v_p_unitpowertype"] = "8",
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_othercharges"] = ">=2",
					["v_spellname"] = "202770",
					["b_lastcasted"] = true,
					["v_p_needbuff"] = "5487||768",
					["v_p_unitpower"] = ">95",
					["v_t_hasdebuff"] = "_164812^15&_164815^15",
				},
				["defaultRotation/druid/moonfire_fury_of_elune"] = {
					["v_t_needsdebuff"] = "_164812^15",
					["v_gunitpowertype"] = "8",
					["b_othercharges"] = true,
					["b_p_unitpower"] = true,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_checkothercdvalue"] = "<5",
					["v_gunitpower"] = "3",
					["v_checkothercdname"] = "202770",
					["v_p_needbuff"] = "768",
					["v_otherchargesname"] = "202767",
					["v_p_knowspell"] = "202770",
					["b_checkothercd"] = true,
					["v_p_unitpowertype"] = "8",
					["b_gunitpower"] = true,
					["v_othercharges"] = ">=2",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_p_unitpower"] = ">90",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["v_gspellcosttype"] = "1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "192081",
					["v_gspellcost"] = "45",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^5.4",
					["b_p_needbuff"] = true,
					["v_gunitpowertype"] = "8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "5487||768||202767",
					["v_gunitpower"] = "3",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/starfall_fury_of_elune"] = {
					["v_p_needbuff"] = "5487||768||202770",
					["b_p_needbuff"] = true,
					["b_checkothercd"] = true,
					["v_gspellcost"] = "60",
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "202770",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "191034",
					["v_gspellcosttype"] = "8",
					["v_checkothercdvalue"] = ">=10",
					["b_gspellcost"] = true,
					["v_checkothercdname"] = "202770",
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["b_p_havebuff"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_p_havebuff"] = "768",
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^7.2",
				},
				["defaultRotation/druid/thrash"] = {
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["v_p_havebuff"] = "5487",
					["v_gunitpower"] = "4",
					["v_durationstartedtime"] = 0,
					["b_notinspellbook"] = true,
				},
				["defaultRotation/druid/swipe"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "106785",
					["v_gspellcost"] = "45",
					["b_notinspellbook"] = true,
					["v_gunitpower"] = "1",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/new_moon_fury_of_elune_soon"] = {
					["v_p_needbuff"] = "5487||768",
					["v_otherchargesname"] = "202767",
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "8",
					["v_othercharges"] = "3",
					["b_othercharges"] = true,
					["b_p_knowspell"] = true,
					["b_checkothercd"] = true,
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202767",
					["v_p_knowspell"] = "202770",
					["v_checkothercdvalue"] = "<10",
					["v_gunitpower"] = "10",
					["v_checkothercdname"] = "202770",
				},
				["defaultRotation/druid/warrior_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_havebuff"] = true,
					["v_spellname"] = "202425",
					["b_p_needbuff"] = true,
					["v_p_havebuff"] = "164547#2",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/rake"] = {
					["v_t_needsdebuff"] = "_155722^4.5",
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["b_t_needsdebuff"] = true,
					["v_gspellcost"] = "35",
					["b_p_havebuff"] = true,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["b_gspellcost"] = true,
					["v_gunitpower"] = "1",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/celestial_alignment"] = {
					["v_p_needbuff"] = "5487||768",
					["v_p_knownotspell"] = "102560",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194223",
					["b_p_needbuff"] = true,
					["b_p_knownotspell"] = true,
					["b_isCustomCase1"] = true,
				},
				["defaultRotation/druid/sunfire_fury_of_elune"] = {
					["v_t_needsdebuff"] = "_164815^15",
					["b_p_needbuff"] = true,
					["b_othercharges"] = true,
					["b_p_unitpower"] = true,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_checkothercdvalue"] = "<5",
					["v_gunitpower"] = "3",
					["v_checkothercdname"] = "202770",
					["v_p_needbuff"] = "5487||768",
					["v_otherchargesname"] = "202767",
					["v_p_knowspell"] = "202770",
					["b_p_knowspell"] = true,
					["b_checkothercd"] = true,
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_othercharges"] = ">=2",
					["v_p_unitpowertype"] = "8",
					["v_p_unitpower"] = ">90",
					["v_gunitpowertype"] = "8",
				},
				["defaultRotation/druid/rip"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "30",
					["v_p_havebuff"] = "768",
					["v_p_unitpowertype"] = "4",
					["b_p_unitpower"] = true,
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_p_havebuff"] = true,
					["v_spellname"] = "1079",
					["v_gspellcosttype"] = "3",
					["b_t_needsdebuff"] = true,
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/new_moon"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_needbuff"] = true,
					["v_p_knownotspell"] = "202770",
					["b_gunitpower"] = true,
					["v_spellname"] = "202767",
					["v_durationstartedtime"] = 0,
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "10",
					["v_gunitpowertype"] = "8",
				},
				["defaultRotation/druid/astral_communion_fury_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["v_durationstartedtime"] = 0,
					["b_p_needbuff"] = true,
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "202770",
					["v_p_unitpowertype"] = "8",
					["b_p_knowspell"] = true,
					["b_gunitpower"] = true,
					["b_p_havebuff"] = true,
					["v_spellname"] = "202359",
					["v_p_knowspell"] = "202770",
					["v_gunitpowertype"] = "8",
					["v_p_unitpower"] = "<40",
					["v_gunitpower"] = "75",
				},
				["defaultRotation/druid/moonfire"] = {
					["v_p_needbuff"] = "768||202767",
					["v_gunitpowertype"] = "8",
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_t_needsdebuff"] = "_164812^6.6",
					["v_gunitpower"] = "3",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/starfall"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_needbuff"] = true,
					["v_p_knownotspell"] = "202770",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "191034",
					["v_gspellcost"] = "60",
					["b_p_knownotspell"] = true,
					["v_gspellcosttype"] = "8",
					["b_gspellcost"] = true,
				},
				["defaultRotation/druid/blessing_of_the_ancients"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "202737",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202360",
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["v_p_needbuff"] = "22842",
					["b_p_needbuff"] = true,
					["b_p_havebuff"] = true,
					["v_gspellcost"] = "10",
					["v_p_hp"] = "<70%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22842",
					["v_gspellcosttype"] = "1",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["b_gspellcost"] = true,
				},
				["defaultRotation/druid/new_moon_fury_of_elune_reload"] = {
					["v_p_needbuff"] = "5487||768",
					["v_gunitpowertype"] = "8",
					["b_gunitpower"] = true,
					["b_p_knowspell"] = true,
					["b_checkothercd"] = true,
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202767",
					["v_p_knowspell"] = "202770",
					["v_checkothercdvalue"] = ">=10",
					["v_gunitpower"] = "10",
					["v_checkothercdname"] = "202770",
				},
				["defaultRotation/druid/astral_communion"] = {
					["v_p_needbuff"] = "5487||768",
					["v_gunitpowertype"] = "8",
					["v_p_unitpower"] = "<15",
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "8",
					["v_p_knownotspell"] = "202770",
					["b_gunitpower"] = true,
					["v_spellname"] = "202359",
					["v_durationstartedtime"] = 0,
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "75",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/stellar_flare"] = {
					["v_t_needsdebuff"] = "_202347^7.2",
					["b_p_needbuff"] = true,
					["v_gspellcost"] = "10",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202347",
					["b_t_needsdebuff"] = true,
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "8",
					["v_p_needbuff"] = "5487||768||202770",
				},
				["defaultRotation/druid/incarnation_chosen_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102560",
					["v_p_knowspell"] = "102560",
					["b_p_needbuff"] = true,
					["b_isCustomCase1"] = true,
					["b_p_knowspell"] = true,
				},
				["defaultRotation/druid/solar_beam"] = {
					["v_spellname"] = "78675",
					["v_durationstartedtime"] = 0,
					["b_t_interrupt"] = true,
				},
				["defaultRotation/druid/new_moon_fury_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_needbuff"] = true,
					["b_p_havebuff"] = true,
					["b_p_knowspell"] = true,
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "202767",
					["v_p_havebuff"] = "202770",
					["v_gunitpowertype"] = "8",
					["v_gunitpower"] = "10",
					["v_p_knowspell"] = "202770",
				},
				["defaultRotation/druid/renewal"] = {
					["b_p_hp"] = true,
					["v_p_hp"] = "<50%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
				},
			},
			["version"] = 2,
		},
		["defaultRotation/druid/balance"] = {
			["version"] = 6,
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/druid/lunar_strike"] = {
					["v_p_needbuff"] = "5487||768",
					["v_gunitpowertype"] = "8",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194153",
					["v_p_havebuff"] = "164547#3",
					["b_p_havebuff"] = true,
					["v_gunitpower"] = "15",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/solar_beam"] = {
					["b_t_interrupt"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "78675",
				},
				["defaultRotation/druid/force_of_nature"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "205636",
				},
				["defaultRotation/druid/fury_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["v_otherchargesname"] = "202767",
					["b_t_hasdebuff"] = true,
					["b_p_needbuff"] = true,
					["b_othercharges"] = true,
					["v_durationstartedtime"] = 0,
					["v_othercharges"] = ">=2",
					["v_spellname"] = "202770",
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "8",
					["v_p_unitpower"] = ">95",
					["v_t_hasdebuff"] = "_164812^15&_164815^15",
				},
				["defaultRotation/druid/new_moon_fury_of_elune_soon"] = {
					["v_p_needbuff"] = "5487||768",
					["v_otherchargesname"] = "202767",
					["b_checkothercd"] = true,
					["b_p_needbuff"] = true,
					["b_gunitpower"] = true,
					["b_othercharges"] = true,
					["v_othercharges"] = "3",
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "202770",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202767",
					["v_gunitpowertype"] = "8",
					["v_checkothercdvalue"] = "<10",
					["v_gunitpower"] = "10",
					["v_checkothercdname"] = "202770",
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "192081",
					["v_gspellcost"] = "45",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["v_gspellcosttype"] = "1",
				},
				["defaultRotation/druid/thrash"] = {
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["v_gunitpower"] = "4",
					["v_p_havebuff"] = "5487",
					["b_gunitpower"] = true,
					["b_notinspellbook"] = true,
				},
				["defaultRotation/druid/rake"] = {
					["v_t_needsdebuff"] = "_155722^4.5",
					["v_gunitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["b_gspellcost"] = true,
					["v_gunitpower"] = "1",
					["v_gspellcost"] = "35",
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^5.4",
					["v_gunitpowertype"] = "8",
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "5487||768||202770",
					["v_gunitpower"] = "3",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/solar_wrath"] = {
					["v_p_needbuff"] = "5487||768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "190984",
					["v_gunitpowertype"] = "8",
					["b_p_needbuff"] = true,
					["v_gunitpower"] = "10",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_gspellcost"] = "25",
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["v_p_unitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["v_spellname"] = "22568",
					["v_gspellcosttype"] = "3",
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^7.2",
				},
				["defaultRotation/druid/starsurge_fury_of_elune"] = {
					["v_p_needbuff"] = "164545#3||164547#3||5487||768||202770",
					["b_p_needbuff"] = true,
					["b_checkothercd"] = true,
					["b_gspellcost"] = true,
					["b_p_knowspell"] = true,
					["v_gspellcosttype"] = "8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "78674",
					["v_gspellcost"] = "40",
					["v_checkothercdvalue"] = ">=10",
					["v_p_knowspell"] = "202770",
					["v_checkothercdname"] = "202770",
				},
				["defaultRotation/druid/shred"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["v_gspellcosttype"] = "3",
					["b_gunitpower"] = true,
					["v_spellname"] = "5221",
					["v_gspellcost"] = "40",
					["v_durationstartedtime"] = 0,
					["v_gunitpower"] = "1",
					["v_p_havebuff"] = "768",
				},
				["defaultRotation/druid/mangle"] = {
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["b_p_havebuff"] = true,
					["v_gunitpower"] = "5",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/warrior_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_havebuff"] = true,
					["v_spellname"] = "202425",
					["b_p_needbuff"] = true,
					["v_p_havebuff"] = "164547#2",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/lunar_strike_warrior_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_needbuff"] = true,
					["v_gunitpowertype"] = "8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194153",
					["v_gunitpower"] = "15",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "164547&202425",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/astral_communion"] = {
					["v_p_needbuff"] = "5487||768",
					["v_gunitpowertype"] = "8",
					["b_p_needbuff"] = true,
					["v_p_unitpower"] = "<15",
					["b_gunitpower"] = true,
					["v_p_knownotspell"] = "202770",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202359",
					["b_p_unitpower"] = true,
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "75",
					["v_p_unitpowertype"] = "8",
				},
				["defaultRotation/druid/blessing_of_the_ancients"] = {
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "202737",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202360",
				},
				["defaultRotation/druid/rip"] = {
					["b_gspellcost"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["v_p_unitpowertype"] = "4",
					["b_t_needsdebuff"] = true,
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_p_havebuff"] = true,
					["v_spellname"] = "1079",
					["v_gspellcosttype"] = "3",
					["v_gspellcost"] = "30",
					["v_p_unitpower"] = "=5",
					["b_p_unitpower"] = true,
				},
				["defaultRotation/druid/new_moon"] = {
					["v_p_needbuff"] = "5487||768",
					["v_gunitpowertype"] = "8",
					["v_p_knownotspell"] = "202770",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202767",
					["b_gunitpower"] = true,
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "10",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/astral_communion_fury_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "8",
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "202770",
					["v_p_unitpowertype"] = "8",
					["b_p_knowspell"] = true,
					["b_p_havebuff"] = true,
					["b_p_unitpower"] = true,
					["v_spellname"] = "202359",
					["v_p_knowspell"] = "202770",
					["b_p_needbuff"] = true,
					["v_p_unitpower"] = "<40",
					["v_gunitpower"] = "75",
				},
				["defaultRotation/druid/moonfire"] = {
					["v_t_needsdebuff"] = "_164812^6.6",
					["v_gunitpowertype"] = "8",
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_p_needbuff"] = "768||202770",
					["v_gunitpower"] = "3",
					["b_p_needbuff"] = true,
				},
				["defaultRotation/druid/sunfire_fury_of_elune"] = {
					["v_t_needsdebuff"] = "_164815^15",
					["b_p_needbuff"] = true,
					["b_othercharges"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_checkothercdvalue"] = "<5",
					["v_gunitpower"] = "3",
					["v_checkothercdname"] = "202770",
					["v_p_needbuff"] = "5487||768",
					["v_otherchargesname"] = "202767",
					["v_p_knowspell"] = "202770",
					["b_p_knowspell"] = true,
					["v_p_unitpowertype"] = "8",
					["b_gunitpower"] = true,
					["b_p_unitpower"] = true,
					["b_checkothercd"] = true,
					["v_gunitpowertype"] = "8",
					["v_p_unitpower"] = ">90",
					["v_othercharges"] = ">=2",
				},
				["defaultRotation/druid/starsurge"] = {
					["v_p_needbuff"] = "164545#3||164547#3||5487||768",
					["b_p_needbuff"] = true,
					["v_p_knownotspell"] = "202770",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "78674",
					["v_gspellcost"] = "40",
					["b_p_knownotspell"] = true,
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "8",
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_gspellcost"] = "10",
					["v_p_needbuff"] = "22842",
					["v_p_hp"] = "<70%",
					["b_p_havebuff"] = true,
					["v_spellname"] = "22842",
					["v_gspellcosttype"] = "1",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/new_moon_fury_of_elune_reload"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_needbuff"] = true,
					["b_checkothercd"] = true,
					["b_gunitpower"] = true,
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "202770",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202767",
					["v_gunitpowertype"] = "8",
					["v_checkothercdvalue"] = ">=10",
					["v_gunitpower"] = "10",
					["v_checkothercdname"] = "202770",
				},
				["defaultRotation/druid/celestial_alignment"] = {
					["v_p_needbuff"] = "5487||768",
					["v_p_knownotspell"] = "102560",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194223",
					["b_p_needbuff"] = true,
					["b_p_knownotspell"] = true,
					["b_isCustomCase1"] = true,
				},
				["defaultRotation/druid/stellar_flare"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_gspellcosttype"] = "8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202347",
					["v_gspellcost"] = "10",
					["v_p_needbuff"] = "5487||768||202770",
					["v_t_needsdebuff"] = "_202347^7.2",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/incarnation_chosen_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102560",
					["b_p_needbuff"] = true,
					["v_p_knowspell"] = "102560",
					["b_isCustomCase1"] = true,
					["b_p_knowspell"] = true,
				},
				["defaultRotation/druid/moonfire_fury_of_elune"] = {
					["v_t_needsdebuff"] = "_164812^15",
					["b_p_needbuff"] = true,
					["b_othercharges"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_checkothercdvalue"] = "<5",
					["v_gunitpower"] = "3",
					["v_checkothercdname"] = "202770",
					["v_p_needbuff"] = "768",
					["v_otherchargesname"] = "202767",
					["v_p_knowspell"] = "202770",
					["b_p_knowspell"] = true,
					["v_p_unitpowertype"] = "8",
					["b_gunitpower"] = true,
					["b_p_unitpower"] = true,
					["b_checkothercd"] = true,
					["v_gunitpowertype"] = "8",
					["v_p_unitpower"] = ">90",
					["v_othercharges"] = ">=2",
				},
				["defaultRotation/druid/new_moon_fury_of_elune"] = {
					["v_p_needbuff"] = "5487||768",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_p_havebuff"] = "202770",
					["b_p_havebuff"] = true,
					["v_spellname"] = "202767",
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "8",
					["v_gunitpower"] = "10",
					["v_p_knowspell"] = "202770",
				},
				["defaultRotation/druid/renewal"] = {
					["b_p_hp"] = true,
					["v_p_hp"] = "<50%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
				},
			},
			["specID"] = 1,
			["SortedActions"] = {
				"defaultRotation/druid/solar_beam", -- [1]
				"defaultRotation/druid/blessing_of_the_ancients", -- [2]
				"defaultRotation/druid/renewal", -- [3]
				"defaultRotation/druid/incarnation_chosen_of_elune", -- [4]
				"defaultRotation/druid/celestial_alignment", -- [5]
				"defaultRotation/druid/fury_of_elune", -- [6]
				"defaultRotation/druid/astral_communion_fury_of_elune", -- [7]
				"defaultRotation/druid/astral_communion", -- [8]
				"defaultRotation/druid/new_moon_fury_of_elune", -- [9]
				"defaultRotation/druid/force_of_nature", -- [10]
				"defaultRotation/druid/warrior_of_elune", -- [11]
				"defaultRotation/druid/moonfire_fury_of_elune", -- [12]
				"defaultRotation/druid/moonfire", -- [13]
				"defaultRotation/druid/sunfire_fury_of_elune", -- [14]
				"defaultRotation/druid/sunfire", -- [15]
				"defaultRotation/druid/stellar_flare", -- [16]
				"defaultRotation/druid/starsurge_fury_of_elune", -- [17]
				"defaultRotation/druid/starsurge", -- [18]
				"defaultRotation/druid/new_moon_fury_of_elune_soon", -- [19]
				"defaultRotation/druid/new_moon_fury_of_elune_reload", -- [20]
				"defaultRotation/druid/new_moon", -- [21]
				"defaultRotation/druid/lunar_strike_warrior_of_elune", -- [22]
				"defaultRotation/druid/lunar_strike", -- [23]
				"defaultRotation/druid/solar_wrath", -- [24]
				"defaultRotation/druid/ironfur", -- [25]
				"defaultRotation/druid/frenzied_regeneration", -- [26]
				"defaultRotation/druid/mangle", -- [27]
				"defaultRotation/druid/thrash", -- [28]
				"defaultRotation/druid/rake", -- [29]
				"defaultRotation/druid/rip", -- [30]
				"defaultRotation/druid/ferocious_bite", -- [31]
				"defaultRotation/druid/shred", -- [32]
			},
		},
		["defaultRotation/druid/feral_multi"] = {
			["bindindex"] = 0,
			["version"] = 2,
			["specID"] = 2,
			["ActionList"] = {
				["defaultRotation/druid/mangle"] = {
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_gunitpower"] = "5",
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/brutal_slash"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_p_havebuff"] = "768",
					["v_p_unitpower"] = "<5",
					["b_gunitpower"] = true,
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202028",
					["v_gspellcost"] = "20",
					["v_p_unitpowertype"] = "4",
					["v_gunitpower"] = "1",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/swipe_guardian"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "213771",
					["b_notinspellbook"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^3.6",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "93402",
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/rake_jagged_wounds"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "202032",
					["v_gunitpowertype"] = "4",
					["v_p_havebuff"] = "768",
					["v_t_needsdebuff"] = "_155722^3",
					["b_t_needsdebuff"] = true,
					["b_p_knowspell"] = true,
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["b_gunitpower"] = true,
					["v_gunitpower"] = "1",
					["v_gspellcost"] = "35",
				},
				["defaultRotation/druid/thrash"] = {
					["b_gspellcost"] = true,
					["v_t_needsdebuff"] = "_106830^4.5",
					["b_p_havebuff"] = true,
					["b_p_knownotspell"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_knownotspell"] = "202032",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "106830",
					["v_gspellcost"] = "50",
					["b_notinspellbook"] = true,
					["v_p_havebuff"] = "768",
					["v_gspellcosttype"] = "3",
				},
				["defaultRotation/druid/rip"] = {
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "768",
					["v_p_unitpowertype"] = "4",
					["b_t_needsdebuff"] = true,
					["b_p_havebuff"] = true,
					["b_p_unitpower"] = true,
					["v_p_knownotspell"] = "202032",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1079",
					["v_gspellcost"] = "30",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "=5",
					["v_gspellcosttype"] = "3",
				},
				["defaultRotation/druid/starsurge"] = {
					["v_p_havebuff"] = "197625",
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197626",
				},
				["defaultRotation/druid/elune_guidance"] = {
					["v_p_unitpower2type"] = "3",
					["v_gunitpowertype"] = "4",
					["v_p_unitpower"] = "=0",
					["v_p_unitpower2"] = ">=50",
					["v_p_havebuff"] = "768",
					["b_p_unitpower"] = true,
					["b_gunitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "202060",
					["b_p_unitpower2"] = true,
					["v_durationstartedtime"] = 0,
					["v_gunitpower"] = "5",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/thrash_guardian"] = {
					["v_durationstartedtime"] = 0,
					["v_gunitpower"] = "4",
					["b_p_havebuff"] = true,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["b_notinspellbook"] = true,
					["v_p_havebuff"] = "5487",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/ferocious_bite_savage_roar"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_p_knowspell"] = "52610",
					["b_p_havebuff"] = true,
					["v_p_unitpower"] = "=5",
					["v_p_unitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "52610^10&768",
					["v_t_hasdebuff"] = "_1079^10",
				},
				["defaultRotation/druid/ferocious_bite_rip_jagged_wounds"] = {
					["v_t_needsdebuff"] = "_1079^4.8",
					["b_t_hasdebuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_p_havebuff"] = "768",
					["v_t_hp"] = "<=25%",
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "202032",
					["b_t_needsdebuff"] = true,
					["b_p_knowspell"] = true,
					["v_t_hasdebuff"] = "_1079",
					["b_p_havebuff"] = true,
					["b_t_hp"] = true,
					["b_p_unitpower"] = true,
					["v_gspellcosttype"] = "3",
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/wild_charge"] = {
					["b_spellInRange"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102401",
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/regrowth_bloodtalons"] = {
					["v_p_knowspell"] = "155672",
					["b_p_knowspell"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["v_spellname"] = "8936",
					["v_p_unitpower"] = "=5",
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "69369",
					["v_p_unitpowertype"] = "4",
				},
				["defaultRotation/druid/rip_jagged_wounds"] = {
					["b_gspellcost"] = true,
					["v_t_needsdebuff"] = "_1079^4.8",
					["v_p_knowspell"] = "202032",
					["v_p_havebuff"] = "768",
					["b_p_havebuff"] = true,
					["b_t_needsdebuff"] = true,
					["b_p_knowspell"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_unitpower"] = true,
					["v_spellname"] = "1079",
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_p_unitpower"] = "=5",
					["v_gspellcost"] = "30",
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["v_gspellcost"] = "45",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "192081",
					["v_gspellcosttype"] = "1",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/regrowth"] = {
					["v_p_hp"] = "<90%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8936",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "69369",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/ashamane_frenzy_bloodtalons"] = {
					["v_p_knowspell"] = "155672",
					["v_p_unitpower"] = "<3",
					["v_gunitpower"] = "3",
					["v_gunitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["b_gunitpower"] = true,
					["b_p_havebuff"] = true,
					["v_spellname"] = "210722",
					["v_durationstartedtime"] = 0,
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "145152&768",
					["v_p_unitpowertype"] = "4",
				},
				["defaultRotation/druid/swipe"] = {
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "768",
					["v_gunitpower"] = "1",
					["b_p_knownotspell"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_unitpower"] = true,
					["v_p_knownotspell"] = "202028",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "106785",
					["v_gspellcost"] = "45",
					["b_notinspellbook"] = true,
					["v_p_unitpower"] = "<5",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/ferocious_bite_sabertooth"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_havebuff"] = "768",
					["b_p_havebuff"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_unitpower"] = true,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_durationstartedtime"] = 0,
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079",
				},
				["defaultRotation/druid/rake"] = {
					["b_gspellcost"] = true,
					["b_t_needsdebuff"] = true,
					["v_gunitpowertype"] = "4",
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_gspellcosttype"] = "3",
					["b_gunitpower"] = true,
					["v_p_knownotspell"] = "202032",
					["b_p_havebuff"] = true,
					["v_spellname"] = "1822",
					["v_gspellcost"] = "35",
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "1",
					["v_t_needsdebuff"] = "_155722^4.5",
				},
				["defaultRotation/druid/skull_bash"] = {
					["v_durationstartedtime"] = 0,
					["b_t_interrupt"] = true,
					["v_spellname"] = "106839",
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/ashamane_frenzy"] = {
					["v_gunitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["b_gunitpower"] = true,
					["b_p_unitpower"] = true,
					["v_p_knownotspell"] = "155672",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "210722",
					["v_p_unitpowertype"] = "4",
					["b_p_knownotspell"] = true,
					["v_gunitpower"] = "3",
					["v_p_unitpower"] = "<3",
				},
				["defaultRotation/druid/tiger_fury"] = {
					["b_p_havebuff"] = true,
					["b_p_unitpower"] = true,
					["v_spellname"] = "5217",
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_p_unitpower"] = "<=20",
					["v_p_unitpowertype"] = "3",
				},
				["defaultRotation/druid/moonfire"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_p_knowspell"] = "155580",
					["v_gunitpower"] = "1",
					["v_t_needsdebuff"] = "_164812^4.8",
					["v_gspellcosttype"] = "3",
					["b_p_knowspell"] = true,
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_spellname"] = "8921",
					["v_gspellcost"] = "30",
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["v_p_needbuff"] = "22842",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "10",
					["v_p_hp"] = "<70%",
					["b_p_havebuff"] = true,
					["v_spellname"] = "22842",
					["v_gspellcosttype"] = "1",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["b_gspellcost"] = true,
				},
				["defaultRotation/druid/berserk"] = {
					["v_p_knownotspell"] = "102543",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "106951",
					["b_p_havebuff"] = true,
					["b_p_knownotspell"] = true,
					["b_isCustomCase1"] = true,
					["v_p_havebuff"] = "768",
				},
				["defaultRotation/druid/renewal"] = {
					["v_p_hp"] = "<60%",
					["b_p_hp"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "25",
					["b_p_havebuff"] = true,
					["v_p_knownotspell"] = "52610",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "22568",
					["v_gspellcosttype"] = "3",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^10",
				},
				["defaultRotation/druid/moonfire_balance"] = {
					["v_t_needsdebuff"] = "_164812^4.8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/lunar_strike"] = {
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "197625",
					["v_spellname"] = "197628",
				},
				["defaultRotation/druid/savage_roar"] = {
					["v_p_needbuff"] = "52610^7.2",
					["b_p_needbuff"] = true,
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["v_p_unitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "52610",
					["v_gspellcost"] = "40",
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "=5",
					["b_gspellcost"] = true,
				},
				["defaultRotation/druid/ferocious_bite_rip"] = {
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_t_hasdebuff"] = true,
					["v_p_knownotspell"] = "202032",
					["b_p_unitpower"] = true,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_p_havebuff"] = "768",
					["v_t_hasdebuff"] = "_1079",
					["b_gspellcost"] = true,
					["b_t_needsdebuff"] = true,
					["v_t_hp"] = "<=25%",
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["b_t_hp"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "=5",
					["v_gspellcosttype"] = "3",
				},
				["defaultRotation/druid/incarnation_king_of_the_jungle"] = {
					["b_p_havebuff"] = true,
					["v_spellname"] = "102543",
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "768",
					["b_isCustomCase1"] = true,
				},
				["defaultRotation/druid/thrash_jagged_wounds"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "202032",
					["v_gspellcost"] = "50",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["b_t_needsdebuff"] = true,
					["b_p_havebuff"] = true,
					["v_spellname"] = "106830",
					["v_gspellcosttype"] = "3",
					["b_notinspellbook"] = true,
					["v_p_havebuff"] = "768",
					["v_t_needsdebuff"] = "_106830^3",
				},
			},
			["SortedActions"] = {
				"defaultRotation/druid/skull_bash", -- [1]
				"defaultRotation/druid/regrowth_bloodtalons", -- [2]
				"defaultRotation/druid/regrowth", -- [3]
				"defaultRotation/druid/renewal", -- [4]
				"defaultRotation/druid/wild_charge", -- [5]
				"defaultRotation/druid/incarnation_king_of_the_jungle", -- [6]
				"defaultRotation/druid/berserk", -- [7]
				"defaultRotation/druid/elune_guidance", -- [8]
				"defaultRotation/druid/savage_roar", -- [9]
				"defaultRotation/druid/thrash_jagged_wounds", -- [10]
				"defaultRotation/druid/thrash", -- [11]
				"defaultRotation/druid/rake_jagged_wounds", -- [12]
				"defaultRotation/druid/rake", -- [13]
				"defaultRotation/druid/ferocious_bite_sabertooth", -- [14]
				"defaultRotation/druid/ferocious_bite_rip_jagged_wounds", -- [15]
				"defaultRotation/druid/ferocious_bite_rip", -- [16]
				"defaultRotation/druid/rip_jagged_wounds", -- [17]
				"defaultRotation/druid/rip", -- [18]
				"defaultRotation/druid/moonfire", -- [19]
				"defaultRotation/druid/tiger_fury", -- [20]
				"defaultRotation/druid/ashamane_frenzy_bloodtalons", -- [21]
				"defaultRotation/druid/ashamane_frenzy", -- [22]
				"defaultRotation/druid/brutal_slash", -- [23]
				"defaultRotation/druid/swipe", -- [24]
				"defaultRotation/druid/ferocious_bite_savage_roar", -- [25]
				"defaultRotation/druid/ferocious_bite", -- [26]
				"defaultRotation/druid/moonfire_balance", -- [27]
				"defaultRotation/druid/sunfire", -- [28]
				"defaultRotation/druid/starsurge", -- [29]
				"defaultRotation/druid/lunar_strike", -- [30]
				"defaultRotation/druid/ironfur", -- [31]
				"defaultRotation/druid/frenzied_regeneration", -- [32]
				"defaultRotation/druid/mangle", -- [33]
				"defaultRotation/druid/thrash_guardian", -- [34]
				"defaultRotation/druid/swipe_guardian", -- [35]
			},
			["isMultiTarget"] = true,
		},
		["defaultRotation/druid/feral"] = {
			["bindindex"] = 0,
			["ActionList"] = {
				["defaultRotation/druid/mangle"] = {
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_gunitpower"] = "5",
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/swipe_guardian"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "213771",
					["b_notinspellbook"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/renewal"] = {
					["v_p_hp"] = "<60%",
					["b_p_hp"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
				},
				["defaultRotation/druid/solar_wrath"] = {
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197629",
					["b_p_needbuff"] = true,
					["v_p_havebuff"] = "197625",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/thrash"] = {
					["b_gunitpower"] = true,
					["v_gunitpower"] = "4",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["b_notinspellbook"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/rip"] = {
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_gspellcost"] = true,
					["v_p_unitpower"] = "=5",
					["b_p_unitpower"] = true,
					["v_gspellcost"] = "30",
					["v_p_unitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["v_p_knownotspell"] = "202032",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1079",
					["b_t_needsdebuff"] = true,
					["b_p_knownotspell"] = true,
					["v_p_havebuff"] = "768",
					["v_gspellcosttype"] = "3",
				},
				["defaultRotation/druid/starsurge"] = {
					["v_p_havebuff"] = "197625",
					["v_durationstartedtime"] = 0,
					["b_p_havebuff"] = true,
					["v_spellname"] = "197626",
				},
				["defaultRotation/druid/elune_guidance"] = {
					["v_p_unitpower2type"] = "3",
					["v_gunitpowertype"] = "4",
					["b_gunitpower"] = true,
					["v_p_unitpower2"] = ">=50",
					["v_gunitpower"] = "5",
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "202060",
					["b_p_havebuff"] = true,
					["b_p_unitpower2"] = true,
					["v_p_havebuff"] = "768",
					["v_p_unitpower"] = "=0",
				},
				["defaultRotation/druid/ferocious_bite_savage_roar"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_p_knowspell"] = "52610",
					["v_p_unitpowertype"] = "4",
					["v_p_havebuff"] = "52610^10&768",
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["v_gspellcost"] = "25",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22568",
					["v_gspellcosttype"] = "3",
					["b_p_havebuff"] = true,
					["v_p_unitpower"] = "=5",
					["v_t_hasdebuff"] = "_1079^10",
				},
				["defaultRotation/druid/ferocious_bite_rip_jagged_wounds"] = {
					["v_t_needsdebuff"] = "_1079^4.8",
					["b_t_hasdebuff"] = true,
					["b_p_unitpower"] = true,
					["v_spellname"] = "22568",
					["v_gspellcosttype"] = "3",
					["v_p_havebuff"] = "768",
					["v_t_hp"] = "<=25%",
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "202032",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_t_hasdebuff"] = "_1079",
					["b_p_havebuff"] = true,
					["b_t_hp"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_unitpower"] = "=5",
					["v_gspellcost"] = "25",
				},
				["defaultRotation/druid/wild_charge"] = {
					["b_spellInRange"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102401",
					["v_p_havebuff"] = "768||5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/regrowth_bloodtalons"] = {
					["v_p_knowspell"] = "155672",
					["b_p_knowspell"] = true,
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8936",
					["v_p_unitpower"] = "=5",
					["v_p_unitpowertype"] = "4",
					["v_p_havebuff"] = "69369",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/shred"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["b_p_havebuff"] = true,
					["v_p_unitpower"] = "<5",
					["b_gunitpower"] = true,
					["v_gspellcost"] = "40",
					["v_durationstartedtime"] = 0,
					["b_p_unitpower"] = true,
					["v_spellname"] = "5221",
					["v_gspellcosttype"] = "3",
					["v_p_unitpowertype"] = "4",
					["v_gunitpower"] = "1",
					["v_p_havebuff"] = "768",
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
					["v_gspellcosttype"] = "3",
					["b_p_unitpower"] = true,
					["v_p_knownotspell"] = "52610",
					["b_p_havebuff"] = true,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_havebuff"] = "768",
					["v_t_hasdebuff"] = "_1079^10",
				},
				["defaultRotation/druid/regrowth"] = {
					["v_p_hp"] = "<90%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8936",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "69369",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/ashamane_frenzy_bloodtalons"] = {
					["v_p_knowspell"] = "155672",
					["v_p_unitpowertype"] = "4",
					["v_p_havebuff"] = "145152&768",
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["b_gunitpower"] = true,
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "210722",
					["b_p_havebuff"] = true,
					["v_gunitpowertype"] = "4",
					["v_p_unitpower"] = "<3",
					["v_gunitpower"] = "3",
				},
				["defaultRotation/druid/ferocious_bite_sabertooth"] = {
					["b_gspellcost"] = true,
					["b_t_hasdebuff"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
					["v_gspellcosttype"] = "3",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["v_t_hasdebuff"] = "_1079",
				},
				["defaultRotation/druid/rake"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "35",
					["v_gunitpowertype"] = "4",
					["v_gunitpower"] = "1",
					["b_p_havebuff"] = true,
					["v_gspellcosttype"] = "3",
					["b_gunitpower"] = true,
					["v_p_knownotspell"] = "202032",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1822",
					["b_t_needsdebuff"] = true,
					["b_p_knownotspell"] = true,
					["v_p_havebuff"] = "768",
					["v_t_needsdebuff"] = "_155722^4.5",
				},
				["defaultRotation/druid/skull_bash"] = {
					["v_durationstartedtime"] = 0,
					["b_t_interrupt"] = true,
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768||5487",
					["v_spellname"] = "106839",
				},
				["defaultRotation/druid/ashamane_frenzy"] = {
					["v_gunitpowertype"] = "4",
					["v_p_unitpower"] = "<3",
					["v_gunitpower"] = "3",
					["b_p_havebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_p_knownotspell"] = "155672",
					["b_p_unitpower"] = true,
					["v_spellname"] = "210722",
					["b_gunitpower"] = true,
					["b_p_knownotspell"] = true,
					["v_p_havebuff"] = "768",
					["v_p_unitpowertype"] = "4",
				},
				["defaultRotation/druid/rake_jagged_wounds"] = {
					["b_gspellcost"] = true,
					["v_t_needsdebuff"] = "_155722^3",
					["v_p_knowspell"] = "202032",
					["v_gunitpower"] = "1",
					["b_t_needsdebuff"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_knowspell"] = true,
					["v_durationstartedtime"] = 0,
					["b_gunitpower"] = true,
					["v_spellname"] = "1822",
					["v_gspellcost"] = "35",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["v_gunitpowertype"] = "4",
				},
				["defaultRotation/druid/tiger_fury"] = {
					["v_p_unitpowertype"] = "3",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5217",
					["v_p_unitpower"] = "<=20",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["b_p_unitpower"] = true,
				},
				["defaultRotation/druid/moonfire"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "155580",
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_gspellcost"] = "30",
					["b_gunitpower"] = true,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_gspellcosttype"] = "3",
					["v_gunitpower"] = "1",
					["v_t_needsdebuff"] = "_164812^4.8",
				},
				["defaultRotation/druid/rip_jagged_wounds"] = {
					["v_t_needsdebuff"] = "_1079^4.8",
					["v_gspellcosttype"] = "3",
					["v_p_knowspell"] = "202032",
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
					["b_t_needsdebuff"] = true,
					["b_p_knowspell"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "1079",
					["v_gspellcost"] = "30",
					["b_p_havebuff"] = true,
					["v_p_havebuff"] = "768",
					["b_gspellcost"] = true,
				},
				["defaultRotation/druid/berserk"] = {
					["v_p_knownotspell"] = "102543",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "106951",
					["v_p_havebuff"] = "768",
					["b_p_knownotspell"] = true,
					["b_isCustomCase1"] = true,
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/ironfur"] = {
					["v_p_needbuff"] = "192081",
					["b_p_needbuff"] = true,
					["v_gspellcost"] = "45",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "192081",
					["v_gspellcosttype"] = "1",
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "5487",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/moonfire_balance"] = {
					["v_t_needsdebuff"] = "_164812^4.8",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "768||5487",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^3.6",
					["v_p_needbuff"] = "768||5487",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197630",
					["b_p_needbuff"] = true,
					["b_t_needsdebuff"] = true,
					["v_p_havebuff"] = "197625",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/incarnation_king_of_the_jungle"] = {
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102543",
					["v_p_havebuff"] = "768",
					["b_isCustomCase1"] = true,
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/savage_roar"] = {
					["v_p_needbuff"] = "52610^7.2",
					["b_p_needbuff"] = true,
					["b_gspellcost"] = true,
					["v_p_havebuff"] = "768",
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "40",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "52610",
					["v_gspellcosttype"] = "3",
					["b_p_havebuff"] = true,
					["v_p_unitpower"] = "=5",
					["b_p_unitpower"] = true,
				},
				["defaultRotation/druid/ferocious_bite_rip"] = {
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_t_hasdebuff"] = true,
					["v_p_knownotspell"] = "202032",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_p_havebuff"] = "768",
					["v_t_hasdebuff"] = "_1079",
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["v_t_hp"] = "<=25%",
					["b_p_unitpower"] = true,
					["b_p_havebuff"] = true,
					["b_t_hp"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "=5",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/lunar_strike"] = {
					["v_durationstartedtime"] = 0,
					["v_p_havebuff"] = "197625&164547#3",
					["b_p_havebuff"] = true,
					["v_spellname"] = "197628",
				},
				["defaultRotation/druid/frenzied_regeneration"] = {
					["v_p_needbuff"] = "22842",
					["b_p_needbuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "10",
					["v_p_hp"] = "<70%",
					["b_p_havebuff"] = true,
					["v_spellname"] = "22842",
					["v_gspellcosttype"] = "1",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "5487",
					["b_gspellcost"] = true,
				},
			},
			["specID"] = 2,
			["version"] = 6,
			["SortedActions"] = {
				"defaultRotation/druid/skull_bash", -- [1]
				"defaultRotation/druid/regrowth_bloodtalons", -- [2]
				"defaultRotation/druid/regrowth", -- [3]
				"defaultRotation/druid/renewal", -- [4]
				"defaultRotation/druid/wild_charge", -- [5]
				"defaultRotation/druid/incarnation_king_of_the_jungle", -- [6]
				"defaultRotation/druid/berserk", -- [7]
				"defaultRotation/druid/elune_guidance", -- [8]
				"defaultRotation/druid/savage_roar", -- [9]
				"defaultRotation/druid/rake_jagged_wounds", -- [10]
				"defaultRotation/druid/rake", -- [11]
				"defaultRotation/druid/ferocious_bite_sabertooth", -- [12]
				"defaultRotation/druid/ferocious_bite_rip_jagged_wounds", -- [13]
				"defaultRotation/druid/ferocious_bite_rip", -- [14]
				"defaultRotation/druid/rip_jagged_wounds", -- [15]
				"defaultRotation/druid/rip", -- [16]
				"defaultRotation/druid/moonfire", -- [17]
				"defaultRotation/druid/tiger_fury", -- [18]
				"defaultRotation/druid/ashamane_frenzy_bloodtalons", -- [19]
				"defaultRotation/druid/ashamane_frenzy", -- [20]
				"defaultRotation/druid/shred", -- [21]
				"defaultRotation/druid/ferocious_bite_savage_roar", -- [22]
				"defaultRotation/druid/ferocious_bite", -- [23]
				"defaultRotation/druid/moonfire_balance", -- [24]
				"defaultRotation/druid/sunfire", -- [25]
				"defaultRotation/druid/starsurge", -- [26]
				"defaultRotation/druid/lunar_strike", -- [27]
				"defaultRotation/druid/solar_wrath", -- [28]
				"defaultRotation/druid/ironfur", -- [29]
				"defaultRotation/druid/frenzied_regeneration", -- [30]
				"defaultRotation/druid/mangle", -- [31]
				"defaultRotation/druid/thrash", -- [32]
				"defaultRotation/druid/swipe_guardian", -- [33]
			},
		},
	}

	return rotation;
end

local druidRotationsGeneratorData = {
	["generator"] = druidRotationsGenerator
};

RotationBuilder:addDefaultRotationsGenerator("DRUID", druidRotationsGeneratorData);
